# Class Node.ChildInfo

java.lang.Object
org.apache.jasper.compiler.Node.ChildInfo

Enclosing class:
  `Node`

public static class Node.ChildInfo extends Object
Collected information about child elements. Used by nodes like CustomTag, JspBody, and NamedAttribute. The information is set in the Collector.

Author:
  Kin-man Chung, Jan Luehe, Shawn Bayern, Mark Roth

## Constructor Summary

Constructors
Constructor
Description
`ChildInfo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasIncludeAction()`
`boolean`
`hasParamAction()`
`boolean`
`hasScriptingVars()`
`boolean`
`hasSetProperty()`
`boolean`
`hasUseBean()`
`boolean`
`isScriptless()`
`void`
`setHasIncludeAction(boolean i)`
`void`
`setHasParamAction(boolean i)`
`void`
`setHasScriptingVars(boolean s)`
`void`
`setHasSetProperty(boolean s)`
`void`
`setHasUseBean(boolean u)`
`void`
`setScriptless(boolean s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChildInfo

public ChildInfo()

## Method Details

### setScriptless

public void setScriptless(boolean s)

### isScriptless

public boolean isScriptless()

### setHasUseBean

public void setHasUseBean(boolean u)

### hasUseBean

public boolean hasUseBean()

### setHasIncludeAction

public void setHasIncludeAction(boolean i)

### hasIncludeAction

public boolean hasIncludeAction()

### setHasParamAction

public void setHasParamAction(boolean i)

### hasParamAction

public boolean hasParamAction()

### setHasSetProperty

public void setHasSetProperty(boolean s)

### hasSetProperty

public boolean hasSetProperty()

### setHasScriptingVars

public void setHasScriptingVars(boolean s)

### hasScriptingVars

public boolean hasScriptingVars()